# artifact

abstract fun artifact(source: Any): IvyArtifact

Creates and adds a IvyArtifact to the set. The semantics of this method are the same as artifact.

#### Parameters

source

The source of the artifact content.

abstract fun artifact(source: Any, config: Action<in IvyArtifact>): IvyArtifact

Creates and adds a IvyArtifact to the set, which is configured by the associated action. The semantics of this method are the same as artifact.

#### Parameters

source

The source of the artifact.

config

An action to configure the values of the constructed IvyArtifact.